<mat-toolbar class="navbar mat-elevation-z1">

  <input [matMenuTriggerFor]="menu" class="avatar" type="image" src="../../assets/img_avatar.png" alt="avatar do colaborador">
  <mat-menu #menu="matMenu">
    <button mat-menu-item disabled>
      <p class="saudacao">Olá, {{colaborador}}!</p>
    </button>
    <div *ngIf="permissao.includes('admin'); else user">
      <button mat-menu-item routerLink="">
        <mat-icon>schedule</mat-icon>
        <span>Ponto</span>
      </button>
      <button mat-menu-item routerLink="/admin">
        <mat-icon>admin_panel_settings</mat-icon>
        <span>Painel do administrador</span>
      </button>
    </div>
    <ng-template #user>
      <button mat-menu-item disabled>
        <mat-icon>schedule</mat-icon>
        <span>Ponto</span>
      </button>
    </ng-template>
    <button mat-menu-item (click)="logout()">
      <mat-icon>logout</mat-icon>
      <span>Logout</span>
    </button>
  </mat-menu>

  <span class="espacador"></span>
  <img class="logo" src="../../assets/logo_alterdata-03.svg" alt="logo da alterdata">
  <span class="espacador"></span>
  <button mat-icon-button (click)="onToggle()">
    <mat-icon>menu</mat-icon>
  </button>
</mat-toolbar>
